import request from '@/utils/request'

// 查询无人机信息列表
export function listUav(query) {
  return request({
    url: '/uavps/uav/list',
    method: 'get',
    params: query
  })
}

// 查询无人机信息详细
export function getUav(id) {
  return request({
    url: '/uavps/uav/' + id,
    method: 'get'
  })
}

// 新增无人机信息
export function addUav(data) {
  return request({
    url: '/uavps/uav',
    method: 'post',
    data: data
  })
}

// 修改无人机信息
export function updateUav(data) {
  return request({
    url: '/uavps/uav',
    method: 'put',
    data: data
  })
}

// 删除无人机信息
export function delUav(id) {
  return request({
    url: '/uavps/uav/' + id,
    method: 'delete'
  })
}
